Package twisted :: Package im :: Module interfaces

[show private | hide private]
[frames | no frames]

## Module twisted.im.interfaces

Pan-protocol chat client.

Stability: incendiary, work in progress.

Variable Summary
`MetaInterface` | `IAccount`
`MetaInterface` | `IChatUI`
`MetaInterface` | `IClient`
`MetaInterface` | `IConversation`
`MetaInterface` | `IGroup`
`MetaInterface` | `IGroupConversation`
`MetaInterface` | `Interface`
`MetaInterface` | `IPerson`

Variable Details

### IAccount

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.im.interfaces.IAccount'>

### IChatUI

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.im.interfaces.IChatUI'>

### IClient

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.im.interfaces.IClient'>

### IConversation

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.im.interfaces.IConversation'>

### IGroup

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.im.interfaces.IGroup'>

### IGroupConversation

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.im.interfaces.IGroupConversation'>

### Interface

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.python.components.Interface'>

### IPerson

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.im.interfaces.IPerson'>

Generated by Epydoc 1.1 on Thu May 8 13:18:22 2003 | http://epydoc.sf.net